Index: branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/IPlushOperator.cs
===================================================================
--- addons/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/IPlushOperator.cs	(revision 15692)
+++ branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/IPlushOperator.cs	(revision 15771)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Encoding {
+﻿namespace HeuristicLab.Problems.ProgramSynthesis {
   using HeuristicLab.Core;
 
Index: branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/PlushEncoding.cs
===================================================================
--- addons/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/PlushEncoding.cs	(revision 15692)
+++ branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/PlushEncoding.cs	(revision 15771)
@@ -1,5 +1,5 @@
 ﻿using System.Collections.Generic;
 
-namespace HeuristicLab.Problems.ProgramSynthesis.Push.Encoding {
+namespace HeuristicLab.Problems.ProgramSynthesis {
   using System;
   using System.Linq;
@@ -12,9 +12,4 @@
   using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
   using HeuristicLab.PluginInfrastructure;
-  using HeuristicLab.Problems.ProgramSynthesis.Base.Erc;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Configuration;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Crossover;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Manipulator;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.SolutionCreator;
 
   [Item("PlushEncoding", "Describes an linear push (Plush) encoding.")]
@@ -177,9 +172,7 @@
     [Storable]
     private IValueParameter<IntValue> minLengthParameter;
-    public IValueParameter<IntValue> MinLengthParameter
-    {
+    public IValueParameter<IntValue> MinLengthParameter {
       get { return minLengthParameter; }
-      set
-      {
+      set {
         if (value == null) throw new ArgumentNullException("Min length parameter must not be null.");
         if (value.Value == null) throw new ArgumentNullException("Min length parameter value must not be null.");
@@ -195,9 +188,7 @@
     [Storable]
     private IValueParameter<IntValue> maxLengthParameter;
-    public IValueParameter<IntValue> MaxLengthParameter
-    {
+    public IValueParameter<IntValue> MaxLengthParameter {
       get { return maxLengthParameter; }
-      set
-      {
+      set {
         if (value == null) throw new ArgumentNullException("Max length parameter must not be null.");
         if (value.Value == null) throw new ArgumentNullException("Max length parameter value must not be null.");
@@ -213,9 +204,7 @@
     [Storable]
     private IValueParameter<IntValue> maxCloseParameter;
-    public IValueParameter<IntValue> MaxCloseParameter
-    {
+    public IValueParameter<IntValue> MaxCloseParameter {
       get { return maxCloseParameter; }
-      set
-      {
+      set {
         if (value == null) throw new ArgumentNullException("Max close parameter must not be null.");
         if (value.Value == null) throw new ArgumentNullException("Max close parameter value must not be null.");
@@ -231,9 +220,7 @@
     [Storable]
     private IValueParameter<DoubleValue> closeBiasLevelParameter;
-    public IValueParameter<DoubleValue> CloseBiasLevelParameter
-    {
+    public IValueParameter<DoubleValue> CloseBiasLevelParameter {
       get { return closeBiasLevelParameter; }
-      set
-      {
+      set {
         if (value == null) throw new ArgumentNullException("Close bias level parameter must not be null.");
         if (value.Value == null) throw new ArgumentNullException("Close bias level parameter value must not be null.");
@@ -249,9 +236,7 @@
     [Storable]
     private IValueParameter<PercentValue> inInstructionProbabilityParameter;
-    public IValueParameter<PercentValue> InInstructionProbabilityParameter
-    {
+    public IValueParameter<PercentValue> InInstructionProbabilityParameter {
       get { return inInstructionProbabilityParameter; }
-      set
-      {
+      set {
         if (value == null) throw new ArgumentNullException("In instruciton probability parameter must not be null.");
         if (value.Value == null) throw new ArgumentNullException("In instruciton probability parameter value must not be null.");
@@ -267,9 +252,7 @@
     [Storable]
     private IValueParameter<IExpressionsConfiguration> instructionsParameter;
-    public IValueParameter<IExpressionsConfiguration> InstructionsParameter
-    {
+    public IValueParameter<IExpressionsConfiguration> InstructionsParameter {
       get { return instructionsParameter; }
-      set
-      {
+      set {
         if (value == null) throw new ArgumentNullException("Instructions paramter must not be null");
         if (instructionsParameter == value) return;
@@ -284,9 +267,7 @@
     [Storable]
     private IValueParameter<ErcOptions> ercOptionsParameter;
-    public IValueParameter<ErcOptions> ErcOptionsParameter
-    {
+    public IValueParameter<ErcOptions> ErcOptionsParameter {
       get { return ercOptionsParameter; }
-      set
-      {
+      set {
         if (value == null) throw new ArgumentNullException("ErcOptions paramter must not be null");
         if (ercOptionsParameter == value) return;
@@ -299,36 +280,30 @@
     }
 
-    public IExpressionsConfiguration Instructions
-    {
+    public IExpressionsConfiguration Instructions {
       get { return InstructionsParameter.Value; }
       set { InstructionsParameter.Value = value; }
     }
 
-    public ErcOptions ErcOptions
-    {
+    public ErcOptions ErcOptions {
       get { return ErcOptionsParameter.Value; }
       set { ErcOptionsParameter.Value = value; }
     }
 
-    public int MinLength
-    {
+    public int MinLength {
       get { return MinLengthParameter.Value.Value; }
       set { MinLengthParameter.Value.Value = value; }
     }
 
-    public int MaxLength
-    {
+    public int MaxLength {
       get { return MaxLengthParameter.Value.Value; }
       set { MaxLengthParameter.Value.Value = value; }
     }
 
-    public int MaxClose
-    {
+    public int MaxClose {
       get { return MaxCloseParameter.Value.Value; }
       set { MaxCloseParameter.Value.Value = value; }
     }
 
-    public double InInstructionProbability
-    {
+    public double InInstructionProbability {
       get { return InInstructionProbabilityParameter.Value.Value; }
       set { InInstructionProbabilityParameter.Value.Value = value; }
Index: branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/PlushEntry.cs
===================================================================
--- addons/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/PlushEntry.cs	(revision 15692)
+++ branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/PlushEntry.cs	(revision 15771)
@@ -1,7 +1,6 @@
-﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Encoding {
+﻿namespace HeuristicLab.Problems.ProgramSynthesis {
   using HeuristicLab.Common;
   using HeuristicLab.Core;
   using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;
 
   [StorableClass]
Index: branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/PlushVector.cs
===================================================================
--- addons/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/PlushVector.cs	(revision 15692)
+++ branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Encoding/PlushVector.cs	(revision 15771)
@@ -1,9 +1,7 @@
-﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Encoding {
+﻿namespace HeuristicLab.Problems.ProgramSynthesis {
   using System.Collections.Generic;
   using HeuristicLab.Common;
   using HeuristicLab.Core;
   using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Attributes;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;
 
   [StorableClass]
@@ -39,8 +37,6 @@
     private PushProgram pushProgram;
 
-    public PushProgram PushProgram
-    {
-      get
-      {
+    public PushProgram PushProgram {
+      get {
         if (pushProgram == null) CreatePushProgram();
         return pushProgram;
@@ -112,8 +108,6 @@
     }
 
-    public PlushEntry this[int key]
-    {
-      get
-      {
+    public PlushEntry this[int key] {
+      get {
         return entries[key];
       }
